Ubuntu: How to compile & install Compiz Blur plugin?



Question:

Can I get this plug-in working on latest Ubuntu?

Thanks!


Solution:1

Compiz blur plugin has been discontinued, and it never arrived for latest version of Compiz. If you really need the blur plug-in, you have to downgrade to Compiz 0.8.4 stable version. Please be aware of the facts:

  • If you downgrade you will no longer be able to use Ubuntu's Unity Desktop, as it requires Compiz 0.9 to work. Therefore you will have to change your desktop environment to something else like gnome-flashback-session or MATE desktop
  • When you successfully install Compiz 0.8.4, you will have no tools to tweak it. The compatible version of Compiz Config Settings Manager for Compiz 0.8.4 does not work in recent versions of Ubuntu as it has conflicts with Python versions. (Which is beyond the scoop of this question) Therefore you will have to deal with the conflict manually or use something like gconf-editor to tweak Compiz after the installation.

NOTE: Downgrading is not generally recommended as the newer version is considered to be superior to the old versions. DO NOT CONTINUE IF YOU ARE AN INEXPERIENCED UBUNTU USER.

Downgrading to Compiz 0.8.4


Instead of compiling from the source, we will be installing Compiz 0.8.4 from packages.

Before proceeding further make sure you are on a desktop environment which does not use Compiz.

First remove the existing compiz installation:

sudo apt-get remove --purge compiz*

Open your terminal and execute:

sudo echo "deb http://http.debian.net/debian squeeze main universe contrib" >> /etc/apt/sources.list

Then update the sources:

sudo apt-get update

Then install Compiz 0.8.4 series:

sudo apt-get install compiz-core=0.8.4-4 compiz=0.8.4-4 compiz-fusion-plugins-extra=0.8.4-2 compiz-fusion-plugins-main=0.8.4-2+b1 compiz-gnome=0.8.4-4 compiz-plugins=0.8.4-4

After the installation run:

compiz --replace

Uninstallation

sudo apt-get remove --purge compiz* sudo apt-get install ubuntu-desktop

In case you get broken packages, execute:

sudo apt-get install -f


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »